There are issues with that version but I've seen it run. You didn't say much about any error you see when you installed so no reason to start writing about errors like spell check.
Bob